import type { AxiosInstance, Method } from 'axios';
import type { Errors } from '../';
declare class BaseProxy {
    parameters: any | any[];
    readonly endpoint: string;
    static $http: AxiosInstance;
    errors: Errors;
    constructor(endpoint: string, parameters?: any | any[]);
    get $http(): AxiosInstance;
    all(): Promise<any>;
    find(id: number | string): Promise<any>;
    post(payload: any): Promise<any>;
    store(payload: any): Promise<any>;
    put(id: string | number, payload: any): Promise<any>;
    putWithFile(id: string | number, payload: any): Promise<any>;
    patch(id: string | number, payload: any): Promise<any>;
    delete(id: string | number): Promise<any>;
    submit(requestType: Method, url: string, form?: any): Promise<any>;
    __getParameterString(url: string): string;
    __validateRequestType(requestType: Method): void;
    __hasFiles(form: any): boolean;
    __hasFilesDeep(object: any): boolean;
    setParameters(parameters: ParametersType): this;
    setParameter(parameter: any, value: any): this;
    removeParameters(parameters?: any[]): this;
    removeParameter(parameter: any): this;
    onFail(errors: ParametersType): void;
    beforeSubmit(): void;
    onSuccess(): void;
}
export default BaseProxy;
export interface ParametersType {
    [key: string]: any;
}
