import BaseTransformer from './BaseTransformer';
declare class PaginationTransformer extends BaseTransformer {
    static fetch(meta: MetaOptions): {
        perPage: string | number;
        totalPages: string | number;
        currentPage: string | number;
        total: string | number;
        links: string | number;
        count: string | number;
        page: string | number;
        itemsPerPage: string | number;
        pageCount: string | number;
        itemsLength: string | number;
        pageStart: number;
        pageStop: string | number;
        include: string | string[];
    };
}
export default PaginationTransformer;
export interface PaginationOptions {
    per_page?: string | number;
    total_pages?: string | number;
    current_page?: string | number;
    total?: string | number;
    links?: string | number;
    count?: string | number;
    page?: string | number;
    items_per_page?: string | number;
    page_count?: string | number;
    items_length?: string | number;
    page_start?: string | number;
    page_stop?: string | number;
    include?: string | string[];
}
export interface MetaOptions {
    pagination?: PaginationOptions;
    include?: string | string[];
}
