"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const BaseTransformer_1 = __importDefault(require("./BaseTransformer"));
class PaginationTransformer extends BaseTransformer_1.default {
    static fetch(meta) {
        const { pagination = {}, include } = meta;
        return {
            perPage: pagination.per_page,
            totalPages: pagination.total_pages,
            currentPage: pagination.current_page,
            total: pagination.total,
            links: pagination.links,
            count: pagination.count,
            page: pagination.current_page,
            itemsPerPage: pagination.per_page,
            pageCount: pagination.total_pages,
            itemsLength: pagination.total,
            pageStart: 0,
            pageStop: pagination.count,
            include,
        };
    }
}
exports.default = PaginationTransformer;
