// clone of sindresorhus/matcher
'use strict';
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMatch = void 0;
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
const escape_string_regexp_1 = __importDefault(require("escape-string-regexp"));
const reCache = new Map();
function makeRe(pattern, options) {
    const opts = Object.assign({
        caseSensitive: false,
    }, options);
    const cacheKey = pattern + JSON.stringify(opts);
    if (reCache.has(cacheKey)) {
        return reCache.get(cacheKey);
    }
    const negated = pattern[0] === '!';
    if (negated) {
        pattern = pattern.slice(1);
    }
    pattern = escape_string_regexp_1.default(pattern).replace(/\\\*/g, '.*');
    const re = new RegExp(`^${pattern}$`, opts.caseSensitive ? '' : 'i');
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    re.negated = negated;
    reCache.set(cacheKey, re);
    return re;
}
exports.isMatch = (input, pattern, options) => {
    const re = makeRe(pattern, options);
    const matches = re.test(input);
    return re.negated ? !matches : matches;
};
